summarylogtreecommitdiffstats
path: root/live-plus-plus.sh
diff options
context:
space:
mode:
authorzxp198210052024-03-13 12:48:38 +0800
committerzxp198210052024-03-13 12:48:38 +0800
commit213aa7e9089f50e4541a691f3d1d1e6fce94ed5c (patch)
tree2cdacc54e165356bebb94690fe5054e7774d65d8 /live-plus-plus.sh
parente3481f5fb37e4073f613b27e8a5b0da71a2205b6 (diff)
downloadaur-213aa7e9089f50e4541a691f3d1d1e6fce94ed5c.tar.gz
fix errors
Diffstat (limited to 'live-plus-plus.sh')
-rw-r--r--live-plus-plus.sh8
1 files changed, 5 insertions, 3 deletions
diff --git a/live-plus-plus.sh b/live-plus-plus.sh
index f9ced1432cfc..7ddcaab8d734 100644
--- a/live-plus-plus.sh
+++ b/live-plus-plus.sh
@@ -1,14 +1,16 @@
-#!/bin/sh
+#!/bin/bash
set -e
_APPDIR="/usr/lib/@appname@"
_RUNNAME="${_APPDIR}/@runname@"
+_OPTIONS="@options@"
export PATH="${_APPDIR}:${PATH}"
export LD_LIBRARY_PATH="${_APPDIR}/swiftshader:${_APPDIR}/lib:${LD_LIBRARY_PATH}"
export ELECTRON_IS_DEV=0
+export ELECTRON_FORCE_IS_PACKAGED=true
export NODE_ENV=production
cd "${_APPDIR}"
if [[ $EUID -ne 0 ]] || [[ $ELECTRON_RUN_AS_NODE ]]; then
- exec electron@electronversion@ "${_RUNNAME}" "$@" || exit $?
+ exec electron@electronversion@ "${_RUNNAME}" "${_OPTIONS}" "$@" || exit $?
else
- exec electron@electronversion@ "${_RUNNAME}" --no-sandbox "$@" || exit $?
+ exec electron@electronversion@ "${_RUNNAME}" "${_OPTIONS}" --no-sandbox "$@" || exit $?
fi \ No newline at end of file